> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# removeReimbursements

> The `removeReimbursements` API is used to remove reimbursement entries from an employee in a payPeriod.

### When to use:
- When correcting reimbursement mistakes before payroll submission
- When removing specific reimbursement types (travel, meals, etc.)

### Notes:
- Pay period must be in an editable state (see the 'Payroll Processing` guide)
- ReimbursementType can be used to remove a specific reimbursement
- Automatically updates earnings calculations after removal



## OpenAPI

````yaml post /payroll/removeReimbursements
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/removeReimbursements:
    post:
      tags: []
      summary: removeReimbursements
      description: >-
        The `removeReimbursements` API is used to remove reimbursement entries
        from an employee in a payPeriod.


        ### When to use:

        - When correcting reimbursement mistakes before payroll submission

        - When removing specific reimbursement types (travel, meals, etc.)


        ### Notes:

        - Pay period must be in an editable state (see the 'Payroll Processing`
        guide)

        - ReimbursementType can be used to remove a specific reimbursement

        - Automatically updates earnings calculations after removal
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                userId:
                  type: string
                reimbursementType:
                  type: string
              required:
                - method
                - companyId
                - payPeriodId
                - userId
            example:
              method: removeReimbursements
              companyId: 3A08507F-E78B-4ABF-98D8-87D382E7CE14
              payPeriodId: 505529F2-9AAF-43EB-8D2A-04852B1E4687
              userId: 5F45CFBA-4AED-41AF-B334-E02D23BA17AE
              reimbursementType: Gym
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  removeReimbursementOnly:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - status
                      - message
                required:
                  - removeReimbursementOnly
              example:
                removeReimbursementOnly:
                  status: Success
                  message: GYM reimbursement has been removed successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: UserId is mandatory
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````